TEMPLATE = app
DEPENDPATH += . src
INCLUDEPATH += .
CONFIG += thread release
RESOURCES += kitsune.qrc
QT += xml
win32 {
 DEFINES +=  WINDOWS
 RC_FILE =  kitsuneico.rc
 CONFIG +=  static
}
unix {
 DEFINES +=  LINUX
 TARGET =  bin/kitsune
 CONFIG +=  static
}
macx {
 DEFINES +=  MACX
 RC_FILE =  kitsune.icns
 CONFIG +=  x86  ppc  static
}
profil {
 CONFIG +=  debug
 QMAKE_CXXFLAGS_DEBUG +=  -pg
 QMAKE_LFLAGS_DEBUG +=  -pg
}
test {
 CONFIG +=  release
 DEFINES +=  TEST
}

HEADERS += \
 src/global.h \
 src/calculation.h \
 src/selection.h \
 src/game.h \
 src/problem.h \
 src/clockwidget.h \
 src/operationwidget.h \
 src/optionswidget.h \
 src/popupwidget.h \
 src/tilewidget.h \
 src/boardwidget.h \
 src/playerwidget.h \
 src/selectionwidget.h \
 src/mainwidget.h \
 src/solutionwidget.h
 
SOURCES += \
 src/global.cpp \
 src/calculation.cpp \
 src/selection.cpp \
 src/game.cpp \
 src/problem.cpp \
 src/clockwidget.cpp \
 src/operationwidget.cpp \
 src/optionswidget.cpp \
 src/popupwidget.cpp \
 src/tilewidget.cpp \
 src/boardwidget.cpp \
 src/playerwidget.cpp \
 src/selectionwidget.cpp \
 src/mainwidget.cpp \
 src/solutionwidget.cpp \
 src/kitsune.cpp
 
TRANSLATIONS = txt/fr/kitsune.ts txt/ja/kitsune.ts txt/de/kitsune.ts txt/pt/kitsune.ts
